# Uses of Interface
org.eclipse.net4j.util.container.IContainerEvent

Packages that use IContainerEvent
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.

## Uses of IContainerEvent in org.eclipse.net4j.util.container

Classes in org.eclipse.net4j.util.container that implement IContainerEvent
Modifier and Type
Class
Description
`class`
`ContainerEvent<E>`
A default `container event` implementation.
`class`
`SingleDeltaContainerEvent<E>`
A `container event` with a single element `delta`.
Methods in org.eclipse.net4j.util.container that return IContainerEvent
Modifier and Type
Method
Description
`protected IContainerEvent<E>`
LifecycleEventConverter.`createContainerEvent(IContainer<E> container, E element, IContainerDelta.Kind kind)`
Methods in org.eclipse.net4j.util.container with parameters of type IContainerEvent
Modifier and Type
Method
Description
`protected void`
ContainerEventAdapter.`notifyContainerEvent(IContainerEvent<E> event)`
`protected void`
SelfAttachingContainerListener.Delegating.`notifyContainerEvent(IContainerEvent<?> event)`
`protected void`
SelfAttachingContainerListener.`notifyContainerEvent(IContainerEvent<?> event)`